# Interface LevelLayerInfoJson

Defines the layer and field properties for the Level layer used for floor filtering. See https://developers.arcgis.com/web-map-specification/objects/levelLayerInfo/.

interface LevelLayerInfoJson {
facilityIdField?: string;
layerId?: string;
levelIdField?: string;
levelNumberField?: string;
longNameField?: string;
shortNameField?: string;
verticalOrderField?: string;
}

#####
Index

### Properties

facilityIdField?
layerId?
levelIdField?
levelNumberField?
longNameField?
shortNameField?
verticalOrderField?

##
Properties

### `Optional` facilityIdField

facilityIdField?: string

The name of the attribute field that contains a level feature's facility identifier (a foreign key to the Facility layer).

### `Optional` layerId

layerId?: string

A layer ID that refers to an operational layer in the map. The layer provides access to Level features to use for floor filtering.

### `Optional` levelIdField

levelIdField?: string

The name of the attribute field that contains a level feature's unique identifier.

### `Optional` levelNumberField

levelNumberField?: string

The name of the attribute field that contains a level feature's level number specific to its facility.

### `Optional` longNameField

longNameField?: string

The name of the attribute field that contains a level feature's long name.

### `Optional` shortNameField

shortNameField?: string

The name of the attribute field that contains a level feature's short name.

### `Optional` verticalOrderField

verticalOrderField?: string

The name of the attribute field that contains a level feature's vertical order. The vertical order defines the order of display in the floor filter widget, and it also references the floor levels of an Indoor Positioning System.